Summary: FLTK, A Fast Light Toolkit
Name: fltk
Version: 1.3.8
Release: 13%{?dist}2a
Source0: localhost:/%{name}-%{version}-source.tar.bz2
Source1: localhost:/%{name}-%{version}-docs-html.tar.gz
Source2: localhost:/%{name}-%{version}-docs-pdf.tar.gz
Patch0:  localhost:/%{name}-%{version}-zlibver.patch
URL: http://www.fltk.org/index.php
Group: Development/Libraries
License: LGPL
BuildRoot: %{_tmppath}/%{name}-root

%description
FLTK (pronounced "fulltick") is a cross-platform C++ GUI toolkit for UNIX®/Linux® (X11), Microsoft® Windows®, and MacOS® X. FLTK provides modern GUI functionality without the bloat and supports 3D graphics via OpenGL® and its built-in GLUT emulation.

FLTK is designed to be small and modular enough to be statically linked, but works fine as a shared library. FLTK also includes an excellent UI builder called FLUID that can be used to create applications in minutes.

FLTK is provided under the terms of the GNU Library Public License, Version 2 with exceptions that allow for static linking.

%prep
%setup -n %{name}-%{version}
%patch0 -p1 -b .zlibver

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}

%build
export CXX=clang++
CPPFLAGS='-I%{_includedir}' \
./configure --prefix=%{_prefix} --enable-shared --docdir=%{_prefix}/share/doc/%{name}-%{version}
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
tar -zxvf %{SOURCE1}
tar -zxvf %{SOURCE2}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README* documentation/*
%defattr(-,root,wheel)
%{_prefix}/bin/*
%{_prefix}/include/*
%{_prefix}/lib/*
%{_prefix}/share/man/*/*

%changelog
* Mon Nov 6 2023 Keisuke Fujii <keisuke.fujii@kek.jp> 1.3.8-13hepx2a
- 1st release on MacOS 13.
- added zlibver patch
- built with OSXWS 13 and clang++

* Sun Feb 27 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 1.3.8-12hepx1b
- 2nd release on MacOS 12 for M1 Macs.
- built with OSXWS 12beta and clang++ and without X11.

* Wed Feb 23 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 1.3.8-12hepx1a
- 1st release on MacOS 12 for M1 Macs.
- built with OSXWS 11 and clang++ and without X11.

* Tue Jan 28 2020 Keisuke Fujii <keisuke.fujii@kek.jp> 1.3.5-10.15hepx2a
- 1st release on MacOS X 10.15 for x86_64.
- built with OSXWS 10.15.
- compiled with g++ and without X11

* Sat Dec 28 2019 Keisuke Fujii <keisuke.fujii@kek.jp> 1.3.4-10.14hepx2b
- 2nd release on MacOS X 10.14 for x86_64.
- built with OSXWS 10.14.
- compiled with clang++ and without X11

* Tue Dec 25 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 1.3.4-10.14hepx2a
- 1st release on MacOS X 10.14 for x86_64.
- built with OSXWS 10.13.
- compiled with clang++ and without X11

* Wed Apr 04 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 1.3.4-10.13hepx2a
- 1st release on MacOS X 10.13 for x86_64.
- compiled with clang++ and without X11

* Sun Jan 8 2017 Keisuke Fujii <keisuke.fujii@kek.jp> 1.3.4-10.12hepx1a
- 1st release on MacOS X 10.12 for x86_64.
